#!/bin/bash
# USAGE: killprocess.sh user pid (e.g. killprocess roberto.passuello 6302)
# set -x

# PIDTOKILL=`ps --noheaders -o pid,cmd --user=$1 | grep "$2" | awk '{print $1}'`
PIDTOKILL=$2

if [ `/bin/ps --noheaders --user=$1 -o pid,cmd | grep ${PIDTOKILL} | wc -l` -ne "0" ]
then
  /bin/kill -9 ${PIDTOKILL}
else
  echo "No process with PID=${PIDTOKILL} exists."
  exit 1
fi

sleep 1

if [ `/bin/ps --noheaders --user=$1 -o pid,cmd | grep ${PIDTOKILL} | wc -l` -eq "0" ]
then
  echo "Process with PID=${PIDTOKILL} killed."
  exit 0
else
  echo "Process not killed. Try again."
  exit 2
fi
